GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions
grpc::SerializationTraits< T, typename std::enable_if< std::is_base_of< grpc::protobuf::Message, T >::value >::type > Class Template Reference

`#include <proto_utils.h>`

## Static Public Member Functions
static Status | Serialize (const grpc::protobuf::Message &msg, grpc_byte_buffer **buffer, bool *own_buffer)
static Status | Deserialize (grpc_byte_buffer *buffer, grpc::protobuf::Message *msg, int max_message_size)

## Member Function Documentation

template<class T >

static Status grpc::SerializationTraits< T, typename std::enable_if< std::is_base_of< grpc::protobuf::Message, T >::value >::type >::Deserialize | ( | grpc_byte_buffer * | buffer,
|  | grpc::protobuf::Message * | msg,
|  | int | max_message_size
| ) |  |
| inline static

template<class T >

static Status grpc::SerializationTraits< T, typename std::enable_if< std::is_base_of< grpc::protobuf::Message, T >::value >::type >::Serialize | ( | const grpc::protobuf::Message & | msg,
|  | grpc_byte_buffer ** | buffer,
|  | bool * | own_buffer
| ) |  |
| inline static

The documentation for this class was generated from the following file:

- include/grpc++/impl/proto_utils.h